## org.eclipse.datatools.connectivity.oda.consumer.helper
Class OdaSortSpecHelper

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.consumer.helper.OdaSortSpecHelper

public final class OdaSortSpecHelper
extends java.lang.Object

OdaSortSpecHelper is a consumer helper for handling SortSpec.

Method Summary
`static void` `addSortKey(OdaAdvancedQuery query, java.lang.String resultSetName, java.lang.String columnName, int sortOrder)` Adds a sort key on the specified result set column to the given query.
`static void` `addSortKey(OdaAdvancedQuery statement, java.lang.String resultSetName, java.lang.String columnName, int sortOrder, java.lang.String localeString)` Deprecated. Replaced by `addSortKey(OdaAdvancedQuery, String, String, int)`
`static void` `addSortKey(OdaQuery query, java.lang.String columnName, int sortOrder)` Adds a sort key on the specified column to the given query.
`static void` `addSortKey(OdaQuery statement, java.lang.String columnName, int sortOrder, java.lang.String localeString)` Deprecated. Replaced by `addSortKey(OdaQuery, String, int)`
`static void` `resetSortKeys(OdaAdvancedQuery statement, java.lang.String resultSetName)`
`static void` `resetSortKeys(OdaQuery statement)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addSortKey

    public static void addSortKey(OdaQuery statement,
                                  java.lang.String columnName,
                                  int sortOrder,
                                  java.lang.String localeString)
                           throws OdaException

  Deprecated. Replaced by `addSortKey(OdaQuery, String, int)`

  Throws:
    `OdaException`

### addSortKey

    public static void addSortKey(OdaQuery query,
                                  java.lang.String columnName,
                                  int sortOrder)
                           throws OdaException

  Adds a sort key on the specified column to the given query.

  Parameters:
    `query` - a query that retrieves the result set containing the specified column
    `columnName` - the name of a result set column to apply dynamic sorting. The specified column should be one of the columns retrieved by the given query.
    `sortOrder` - represents the sorting order; one of sortAsc, sortDesc.
  Throws:
    `OdaException`

### addSortKey

    public static void addSortKey(OdaAdvancedQuery statement,
                                  java.lang.String resultSetName,
                                  java.lang.String columnName,
                                  int sortOrder,
                                  java.lang.String localeString)
                           throws OdaException

  Deprecated. Replaced by `addSortKey(OdaAdvancedQuery, String, String, int)`

  Throws:
    `OdaException`

### addSortKey

    public static void addSortKey(OdaAdvancedQuery query,
                                  java.lang.String resultSetName,
                                  java.lang.String columnName,
                                  int sortOrder)
                           throws OdaException

  Adds a sort key on the specified result set column to the given query.

  Parameters:
    `query` - a query that retrieves the result set containing the specified column
    `resultSetName` - the name that identifies one of the query's result sets
    `columnName` - the name of a result set column to apply dynamic sorting. The specified column should be one of the columns in the given query's named result set
    `sortOrder` - represents the sorting order; one of sortAsc, sortDesc.
  Throws:
    `OdaException`

### resetSortKeys

    public static void resetSortKeys(OdaQuery statement)
                              throws OdaException

  Throws:
    `OdaException`

### resetSortKeys

    public static void resetSortKeys(OdaAdvancedQuery statement,
                                     java.lang.String resultSetName)
                              throws OdaException

  Throws:
    `OdaException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.